!----------------------------------------------------------------------
! NEMO system team, System and Interface for oceanic RElocable Nesting
!----------------------------------------------------------------------
!
! MODULE: phycst
!
! DESCRIPTION:
!> @brief This module defines physical constant.
!
!> @author
!> J.paul
! REVISION HISTORY:
!> @date Nov, 2013 - Initial Version
!
!> @note Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
!----------------------------------------------------------------------
MODULE phycst
   USE kind                         ! F90 kind parameter

   IMPLICIT NONE

   PUBLIC :: dg_pi      !< pi
   PUBLIC :: dg_eps     !< epsilon value
   PUBLIC :: dg_rearth  !< earth radius (km)
   PUBLIC :: dg_deg2rad !< 
   PRIVATE
   ! NOTE_avoid_public_variables_if_possible

   REAL(dp), PARAMETER :: dg_pi = 3.14159274101257_dp
   REAL(dp), PARAMETER :: dg_eps = EPSILON(1._dp)
   REAL(dp), PARAMETER :: dg_rearth = 6871._dp
   REAL(dp), PARAMETER :: dg_deg2rad = dg_pi/180.0

END MODULE phycst

